summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlisuke2018-02-09 00:47:12 +0800
committerlisuke2018-02-09 00:47:12 +0800
commit617a3cae562e0e7607e742350727e96cad52fad8 (patch)
treef4e5100b059c761f139a52b8ea3c783a3342a54b
parent742d05b67339c8ade96abbacbd084140c931439e (diff)
downloadaur-617a3cae562e0e7607e742350727e96cad52fad8.tar.gz
1.2.6
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD10
2 files changed, 11 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 43fb968f31d..a0d5c6ceac6 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,17 @@
pkgbase = miredo-debian
pkgdesc = miredo, miredo.deb
pkgver = 1.2.6
- pkgrel = 1
+ pkgrel = 2
url = https://packages.debian.org/jessie/miredo
arch = armv7h
license = unknown
makedepends = tar
- conflicts = judy
+ depends = libjudydebian1
+ depends = iproute2
+ depends = libcap
+ conflicts = miredo
options = !strip
- source = http://ftp.cn.debian.org/debian/pool/main/m/miredo-debian/miredo-debian_1.2.6-2_armhf.deb
+ source = http://ftp.cn.debian.org/debian/pool/main/m/miredo/miredo_1.2.6-2_armhf.deb
md5sums = 4680e1bf2fa322d442be326f94490114
pkgname = miredo-debian
diff --git a/PKGBUILD b/PKGBUILD
index 3b943903d9d..30567a0333e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,20 +2,20 @@
# Maintainer: lisuke <1657787678@qq.com>
pkgname=miredo-debian
pkgver=1.2.6
-pkgrel=1
+pkgrel=2
pkgdesc="miredo, miredo.deb"
arch=('armv7h')
-conflicts=('judy')
+conflicts=('miredo')
url="https://packages.debian.org/jessie/miredo"
license=('unknown')
options=('!strip')
-
+depends=('libjudydebian1' 'iproute2' 'libcap')
makedepends=('tar')
checkdepends=()
source=(
- "http://ftp.cn.debian.org/debian/pool/main/m/${pkgname}/${pkgname}_${pkgver}-2_armhf.deb"
+ "http://ftp.cn.debian.org/debian/pool/main/m/miredo/miredo_${pkgver}-2_armhf.deb"
)
noextract=()
md5sums=(
@@ -25,7 +25,7 @@ validpgpkeys=()
package() {
cd ${srcdir}
- ar vx ${pkgname}_${pkgver}-2_armhf.deb || return 1
+ ar vx miredo_${pkgver}-2_armhf.deb || return 1
tar fx data.tar.xz -C ${pkgdir}/ || return 1
ls ${pkgdir}
}